Contents
 WinBoard: Chessboard for Windows

Synopsis

To use with GNU Chess:	start WinBoard [options]
To use with the Internet Chess Server:	start WinBoard /ics [options]
To use without GNU Chess or the ICS:	start WinBoard /ncp [options]

Description

WinBoard is a graphical chessboard that can serve as a user interface for GNU Chess or the Internet Chess Server (ICS), or can be used by itself.

As an interface to GNU Chess, WinBoard lets you play a game against the machine, set up arbitrary positions, force variations, or watch a game between two machines.

As an interface to the Internet Chess Server, WinBoard /ics lets you play against other ICS users, observe games they are playing, or review games that have recently finished.

You can also use WinBoard as a chessboard to play through games. It will read and write game files and allow you to play through variations manually. You can use it to keep track of email postal games, browse games off the net, or review games you have saved. These features are available at all times. Even if you do not have access to GNU Chess or the ICS, you can use them by running WinBoard /ncp.

After starting WinBoard, you make moves by dragging pieces with the mouse. Press the left mouse button while the cursor is on one of your pieces, then move the cursor to another square and release the button.

When WinBoard is iconized, its icon is a white knight if it is White's turn to move, a black knight if it is Black's turn. (This feature currently does not work with the new Windows 95 desktop.)

Additional Information

Command Line Options

Initialization Files

Menus

Shortcut Buttons

Limitations

Authors

Copyright


COMMAND LINE OPTIONS

All WinBoard options can be set either on the command line or in a file named WinBoard.ini in WinBoard's initial working directory. Most options have two names, a long one that is easy to read and a short one that is easy to type. To turn on a boolean (true/false) option opt, you can just give its short name preceded by a minus sign or slash (-opt or /opt); to turn one off, prefix the short name by an extra minus sign or an "x" (-xopt or /-opt). To set any other kind of option, or to set a boolean option using its long name, give the value after the name, separated by a space, colon, or equal sign. (-opt 23 or /option:true). If a string option contains spaces or special characters, enclose it in single quotes and use the \ quoting convention of C to name the special characters.

GNU Chess Options

Internet Chess Server Options

Load and Save Options

User Interface Options

Other Options


GNU Chess Options

/tc or /timeControl minutes[:seconds]
/mps or /movesPerSession moves

Each player begins with the specified amount of time on his clock. If a player makes the specified number of moves before his clock runs out, WinBoard adds the specified amount of time to his clock. Default: 40 moves in 5 minutes.

/clock or /clockMode

Determines whether or not to display the chess clocks. If clockMode is False, the clocks are not shown, but the side that is to play next is still highlighted. Also, unless searchTime or searchDepth is set, GNU Chess still keeps track of the clock time and uses it to determine how fast to make its moves.

/st or /searchTime minutes[:seconds]

Tells GNU Chess to spend at most the given amount of time searching for each of its moves. Without this option, GNU Chess chooses its search time based on the number of moves and amount of time remaining until the next time control. Setting this option also sets clockMode to False.

/sd or /searchDepth number

Tells GNU Chess to look ahead at most the given number of moves when searching for a move to make. Without this option, GNU Chess chooses its search depth based on the number of moves and amount of time remaining until the next time control. Setting this option also sets clockMode to False.

/thinking or /showThinking

If this option is set, GNU Chess's notion of the score and best line of play from the current position is displayed as it is thinking. The score indicates how many pawns ahead (or if negative, behind) GNU Chess thinks it is. In matches between two machines, the score is prefixed by W or B to indicate whether it is showing White's thinking or Black's.

/mm or /matchMode

Automatically runs a game between two chess programs. If the loadGameFile or loadPositionFile option is set, WinBoard will start the game with the given opening moves or the given position; otherwise, the game will start with the standard initial chess position. If the saveGameFile option is set, a move record for the match will be appended to the specified file. If the savePositionFile option is set, the final position reached in the match will be appended to the specified file. When the match is over, WinBoard will exit. Default: False.

/fcp or /firstChessProgram program

Name of the first chess program. In matches between two machines, this program plays black. Default: "gnuchessx".

/scp or /secondChessProgram program

Name of the second chess program, if needed. In matches between two machines, this program plays white; otherwise it is not started. Default: "gnuchessx".

/fh or /firstHost host
/sh or /secondHost host

Hosts on which the chess programs are to run. The default for each is "localhost". If you specify another host, WinBoard uses rsh to run the chess program there.

/initString string

The string that is sent to initialize the chess program. Default: "new\nbeep\nrandom\neasy\n".

If you change this option, don't remove the "new" and "beep" commands. You can remove the "random" command if you like; including it causes GNU Chess to randomize its move selection slightly so that it doesn't play the same moves in every game. (Even without "random", GNU Chess randomizes its choice of moves from its opening book.) You can also remove "easy" if you like; including it toggles easy mode off, causing GNU Chess to think on your time. That is, if "easy" is included in the initString, GNU Chess thinks on your time; if not, it does not. (Yes, this does seem backwards, doesn't it!) You can also try adding other commands to the initString; see the GNU Chess documentation for details.

/whiteString string
/blackString string

These options control what is sent when the Machine White and Machine Black buttons are selected. This is mostly for compatibility with obsolete versions of GNU Chess.


Internet Chess Server Options

/ics or /internetChessServerMode

Connect with an Internet Chess Server to play chess against its other users, observe games they are playing, or review games that have recently finished. Default: False.

When you run WinBoard in ICS mode, it starts up a console window in which you can type commands and receive text responses from the chess server.

Useful ICS commands include who to see who is logged on, games to see what games are being played, match to challenge another player to a game, observe to observe an ongoing game, examine or oldmoves to review a recently completed game, and of course help.

Whenever you ask to observe an ongoing game, review a completed game, or resume an adjourned game, WinBoard retrieves and parses the list of past moves from the ICS, so you can review them with Forward and Backward or save them with Save Game.

Some special WinBoard features are activated when you are in examine mode on ICS. See the descriptions of the menu commands Forward, Backward, Pause, ICS Client, and Stop Examining below.

You can create a script file containing ICS commands that WinBoard will type in for you whenever you connect to the ICS. See ICS.ini.

/icslogon or /internetChessServerLogonScript

This option lets you change the name used for the ICS initialization file. Default: "ICS.ini".

/autoflag or /autoCallFlag

If autoCallFlag is True and your opponent runs out of time before you do, WinBoard will automatically call his flag, claiming a win on time (or a draw if you do not have mating material). Default: False.

/autobs or /autoObserve

If autoObserve is True and you add a player to your gnotify list on ICS, WinBoard will automatically observe all of that player's games, unless you are doing something else (such as observing or playing a game of your own) when one starts. Default: False.

/quiet or /quietPlay

If this option is True, WinBoard will automatically issue a "set shout 0" command whenever you start an ICS game and a "set shout 1" command whenever you finish one. Default: False.

/icshost or /internetChessServerHost host

The Internet host name or address of the chess server to connect to when in ICS mode. Default: "chess.lm.com".

See the file "ics-addresses" in the WinBoard distribution for a list of other addresses to try. See also the output of the command "finger chess@ics.onenet.net". If your site doesn't have a working Internet name server, try specifying the host address in numeric form. The address for chess.lm.com is 192.231.221.16.

/icsport or /internetChessServerPort port-number

The port number to use when connecting to a chess server in ICS mode. Default: 5000.

/icscomm or /internetChessServerCommPort name

If this option is set, WinBoard communicates with the Internet Chess Server using a serial communication port instead of a network connection. Use this option if your machine is not connected to a network (not even via SLIP or PPP), but you do have Internet access through another machine by dialing in using a modem or by connecting directly to a serial terminal port. Example:

WinBoard /ics /icscomm:com1

Use the Communications dialog on the Options menu to adjust serial port parameters.

After you start WinBoard in this way, type whatever commands are necessary to dial out to your Internet provider and log in. Then telnet to the ICS (using a command like "telnet chess.lm.com 5000"). See also LIMITATIONS below.

/gateway host-name

If this option is set to a host name, WinBoard uses rsh to run telnet on the given host to communicate with the Internet Chess Server instead of opening a direct TCP connection.

This option is useful if your machine is unable to connect directly to the ICS but is able to rsh to a gateway host that can connect to the ICS. As an example, suppose the gateway host is called gate.ralph.com, and you set options as follows:

WinBoard /ics /gateway:gate.ralph.com /icshost:chess.lm.com

Then when you run WinBoard in ICS mode, it will connect to the ICS by using rsh to run the command "telnet chess.lm.com 5000" on host gate.ralph.com.

/telnet or /useTelnet

If this option is set to True, WinBoard uses the Windows NT telnet service to communicate with the Internet Chess Server. (This feature does not work on Windows 95.) If the option is False (the default), WinBoard opens a TCP socket to communicate with the ICS.

One case where this option is useful is if your machine cannot connect directly to the ICS but can telnet to a gateway host that can connect to the ICS. It is more general than the gateway option, because you may be able to telnet to a host that you cannot rsh to, but it's not as convenient to use. As an example, suppose the gateway host is called gate.ralph.com, and you set options as follows:

WinBoard /telnet /icshost:gate.ralph.com /icsport:23

Then when you run WinBoard in ICS mode, you will be prompted to log in to the gateway host. Then telnet to the ICS (using a command like "telnet chess.lm.com 5000"). See also LIMITATIONS below.

The recipe above works because giving the option /icsport:23 causes WinBoard to connect to the gateway host's standard incoming telnet service (port 23) instead of trying to connect to a chess server running on the gateway host.

/telnetProgram program

This option gives the name of the telnet program to be used with the gateway option. The default is "telnet". The telnet program is invoked with the value of internetChessServer as its first argument and the value of internetChessServerPort as its second argument.


Load and Save Options

/lgf or /loadGameFile file
/lgi or /loadGameIndex N

If loadGameFile is set, WinBoard reads the specified game file at startup. You can leave out the name of this option and give just the file name, which is handy if you want to configure WinBoard as a PGN viewer with a browser such as the Windows File Manager or Mosaic. The file name "-" specifies the standard input. If loadGameIndex is set to N, the Nth game found in the file is loaded; otherwise the first is loaded.

/td or /timeDelay seconds

Time delay between moves during Load Game. Fractional seconds are allowed; try 0.4. A time delay value of -1 tells WinBoard not to step through game files automatically. Default: 1 second.

/sgf or /saveGameFile file

If this option is set, WinBoard appends a record of every game played to the specified file. The file name "-" specifies the standard output.

/autosave or /autoSaveGames

If this option is True, at the end of every game WinBoard prompts you for a filename and appends a record of the game to the file you specify. Ignored if saveGameFile is set.

/lpf or /loadPositionFile file
/lpi or /loadPositionIndex N

If loadPositionFile is set, WinBoard loads the specified position file at startup. The file name "-" specifies the standard input. If loadPositionIndex is set to N, the Nth position found in the file is loaded; otherwise the first is loaded.

/spf or /savePositionFile file

If this option is set, WinBoard appends the final position reached in every game played to the specified file. The file name "-" specifies the standard output.

/oldsave or /oldSaveStyle

If this option is False (the default), WinBoard saves games in PGN (portable game notation) and positions in FEN (Forsythe-Edwards notation). If the option is True, a save style that is compatible with older versions of WinBoard (and of xboard) is used instead.


User Interface Options

/bell or /ringBellAfterMoves

If this option is True, WinBoard alerts you by ringing the terminal bell after each of your opponent's moves (or after every move if you are observing a game on the Internet Chess Server). The bell is not rung after moves you make or moves read from a saved game file. Default: False.

If you turn on this option when using WinBoard with the Internet Chess Server, you will probably want to give the "set bell 0" command to the ICS, since otherwise the ICS will ring the bell itself after every move (not just yours).

/queen or /alwaysPromoteToQueen

If this option is False (the default), WinBoard brings up a dialog box whenever you move a pawn to the last rank, asking what piece you want to promote it to. If the option is True, your pawns are always promoted to queens. (Your opponent can still underpromote, however.)

/size or /boardSize (Large | Medium | Small)

Determines how large the board will be and what piece bitmaps will be used. On a large board (the default), pieces are 80x80 pixels, on a medium board 64x64 pixels, and on a small board 40x40 pixels.

/coords or /showCoords

If this option is True, WinBoard displays algebraic coordinates along the board's left and bottom edges. The default is False. The coordFont option specifies what font to use.

/flip or /flipView

If you are playing a game on the ICS, the board is always oriented at the start of the game so that your pawns move from the bottom of the window towards the top. Otherwise, the starting position is determined by the flipView option. If it is False (the default), White's pawns move from bottom to top at the start of each game; if it is True, Black's pawns move from bottom to top. See also the Flip View menu command.

/mono or /monoMode

Determines whether WinBoard displays its pieces and squares with two colors (True) or four (False).

/clockFont font-name

The font used for the clocks. If this option is not given, WinBoard chooses a built-in default appropriate for the board size. NOT IMPLEMENTED YET. Use the Fonts menu command instead.

/messageFont font-name

The font used for the message display line. If this option is not given, WinBoard chooses a built-in default appropriate for the board size. NOT IMPLEMENTED YET. Use the Fonts menu command instead.

/coordFont font-name

The font used for rank and file coordinate labels if showCoords is True. If this option is not given, WinBoard chooses a built-in default appropriate for the board size. NOT IMPLEMENTED YET. Use the Fonts menu command instead.

/whitePieceColor color

Color specification for white pieces. Currently, the only format accepted for color specifications is #rrggbb, where rr is the red intensity in hexadecimal, gg is the green intensity, and bb is the blue intensity. Default: #FFFFCC.

/blackPieceColor color

Same for black pieces. Default: #202020.

/lightSquareColor color

Same for light squares. Default: #C8C365.

/darkSquareColor color

Same for dark squares. Default: #77A26D.

If you are using a grayscale monitor, try setting the colors to:

-whitePieceColor:#FFFFFF
-blackPieceColor:#000000
-lightSquareColor:#CCCCCC
-darkSquareColor:#999999

/localLineEditing or /edit

If this option is True, your machine handles echoing, backspacing, etc., for the characters that you type into the ICS input console window. Output is forwarded to the ICS only when you hit Enter. If the option is False, characters are sent as you type them. Default: True. It is generally not a good idea to turn off this option; see LIMITATIONS for more information.


Other Options

/ncp or /noChessProgram

If this option is True, WinBoard acts as a passive chessboard; it does not start a chess program or connect to ICS. This option also sets clockMode to False. This option is needed only if you do not have GNU Chess and you want to use WinBoard without connecting to ICS. Default: False.

/debug or /debugMode

Turns on debugging printout.

/rsh or /remoteShell shell-name

Name of the command used to run programs remotely. If this option is not given, WinBoard uses its own built-in implementation of the Unix rcmd protocol (the protocol used by rsh).

/ruser or /remoteUser user-name

User name on the remote system when running programs with the remoteShell. The default is your local user name.


Files
INITIALIZATION FILES

WinBoard.ini

When WinBoard starts up, it reads option settings from a file named WinBoard.ini. It searches for this file in the standard places: the directory from which WinBoard loaded, the current working directory, the Windows system directory, the Windows directory, and the directories listed in your PATH environment variable.

Options in this file have exactly the same format as command line options, except that you do not have to put all the options on a single line. The WinBoard.ini file is read before the command line is processed, so any options you give on the command line override options in the file.

ICS.ini

Whenever WinBoard connects to the Internet Chess Server, if it finds a file called ICS.ini, it feeds the file's contents to the ICS as commands. Usually the first two lines of the file should be your ICS user name and password. You can specify a different name instead of ICS.ini by using the icslogon command line option. WinBoard searches for this file in the same directories as listed for WinBoard.ini above.


MENUS

File Menu

Mode Menu

Action Menu

Step Menu

Options Menu

Help Menu


File Menu

Reset

Resets WinBoard and GNU Chess to the beginning of a new chess game. In Internet Chess Server mode, clears the current state of WinBoard, then resynchronizes with ICS by sending a refresh command. If you want to stop playing, observing, or examining a game on ICS, use an appropriate command from the Action menu, not Reset.

Load Game

Plays a game from a record file. A popup dialog prompts you for the filename. If the file contains more than one game, and you want to load the Nth one, type the number N in the Index number box.

The game file parser will accept PGN (portable game notation), or in fact almost any file that contains moves in algebraic notation. If the file includes a PGN position (FEN tag), or a WinBoard position diagram bracketed by "[--" and "--]" before the first move, the game starts from that position. Text enclosed in parentheses, square brackets, or curly braces is assumed to be commentary and is displayed in a pop-up window. Any other text in the file is ignored. PGN variations (enclosed in parentheses) are treated as comments; WinBoard is not able to walk variation trees.

Load Next Game

Loads the next game from the last game record file you loaded.

Load Previous Game

Loads the previous game from the last game record file you loaded.

Reload Same Game

Reloads the last game you loaded.

Load Position

Sets up a position from a position file. A popup dialog prompts you for the filename. If the file contains more than one saved position, and you want to load the Nth one, type the number N in the Index number box. Position files must be in FEN (Forsythe-Edwards notation), or in the format that the Save Position command writes when oldSaveStyle is turned on.

Save Game

Appends a record of the current game to a file. A popup dialog prompts you for the filename. If the game did not begin with the standard starting position, the game file includes the starting position used. Game files are saved in the PGN (portable game notation) format, unless the oldSaveStyle option is True, in which case they are saved in an older format that is specific to WinBoard. Both formats are human-readable, and both can be read back by the Load Game command.

Save Position

Appends a diagram of the current position to a file. A popup dialog prompts you for the filename. Positions are saved in FEN (Forsythe-Edwards notation) format, unless the oldSaveStyle option is True, in which case they are saved in an older, human-readable format that is specific to WinBoard. Both formats can be read back by the Load Position command.

Exit

Exits from WinBoard.


Mode Menu

Pause

Pauses updates to the board, and if you are playing against GNU Chess, also pauses your clock. To continue, select Pause again, and the display will automatically update to the latest position. The P button is equivalent to selecting Pause.

If you select Pause when you are playing against GNU Chess and it is not your move, GNU Chess's clock will continue to run and it will eventually make a move, at which point both clocks will stop. Since board updates are paused, however, you will not see the move until you exit from Pause mode (or select Forward). This behavior is meant to simulate adjournment with a sealed move.

If you select Pause while you are in examine mode on ICS, you can step backward and forward in the current history of the examined game without affecting the other examiners or observers. Select Pause again to reconnect yourself to the current state of the game on ICS.

If you select Pause while you are loading a game, the game stop loading. You can load more moves one at a time by selecting Forward, or resume automatic loading by selecting Pause again.

Edit Comment

Adds or modifies a comment on the current position. Comments are saved by Save Game and are displayed by Load Game, Forward, and Backward.

Machine White

Forces GNU Chess to play white. GNU Chess mode only.

Machine Black

Forces GNU Chess to play black. GNU Chess mode only.

Two Machines

Plays a game between two computer programs. GNU Chess mode only.

ICS Client

ICS mode only. Takes WinBoard out of the Force Moves or Edit Position state.

While you are examining a game on ICS, you can issue the ICS position-editing commands with the mouse. (Do this with ICS Client selected on the Mode menu, not Edit Position; the latter edits only your local copy of the position.) To drop a new piece on a square, press the right mouse button over the square. This brings up a menu of pieces. Additional choices on this menu let you empty the square or clear the board. You cannot set the side to play or drag pieces to arbitrary squares while examining on ICS, however; the ICS permits only legal moves in this mode.

Edit Game

Allows you to make moves for both Black and White, and to change moves after backing up with the Backward command. The clocks do not run.

In GNU Chess mode, GNU Chess continues to check moves for legality but does not participate in the game. You can bring GNU Chess back into the game by selecting Machine White, Machine Black, or Two Machines.

In ICS mode, the modes are not sent to the ICS: Edit Game takes WinBoard out of ICS Client mode and lets you edit games locally. If you want to edit a game on ICS in a way that other ICS users can see, use the ICS examine command or start an ICS match against yourself.

Edit Position

Lets you set up an arbitrary board position. Use the left mouse button to drag pieces to new squares, or to delete a piece by dragging it off the board or dragging an empty square on top of it. To drop a new piece on a square, press the right mouse button over the square. This brings up a menu of pieces. Additional menu choices let you empty the square or clear the board. You can set the side to play next by clicking on the White or Black indicator at the top of the screen. Selecting Edit Position causes WinBoard to discard all remembered moves in the current game.

In ICS mode, change made to the position by Edit Position are not sent to the ICS: Edit Position takes WinBoard out of ICS Client mode and lets you edit positions locally. If you want to edit positions on ICS in a way that other ICS users can see, use the ICS examine command, or start an ICS match against yourself. (See also ICS Client above.)


Action Menu

Not all these actions are available in all WinBoard modes.

Accept

Accepts a pending match offer. If there is more than one offer pending, you will have to type in a more specific command instead of using this menu choice.

Decline Draw

Declines a pending offer (match, draw, etc.). If there is more than one offer pending, you will have to type in a more specific command instead of using this menu choice.

Call Flag

Calls your opponent's flag, claiming a win on time, or claiming a draw if you are both out of time. You can also call your opponent's flag by clicking on his clock.

Draw

Offers a draw to your opponent, accepts a pending draw offer from your opponent, or claims a draw by repetition or the 50-move rule, as appropriate.

Adjourn

Asks your opponent to agree to adjourning the current game, or agrees to a pending adjournment offer from your opponent. An adjourned game can be continued with the ICS match command.

Abort

Asks your opponent to agree to abort the current game, or agrees to a pending abort offer from your opponent. An aborted ICS game ends immediately without affecting either player's rating.

Resign

Resigns the game to your opponent.

Stop Observing

Ends your participation in observing a game, by issuing the ICS observe command with no arguments.

Stop Examining

Ends your participation in examining a game, by issuing the ICS unexamine command.


Step Menu

Backward

Steps backward through a series of remembered moves. The < button is equivalent to selecting Backward.

In most modes, Backward only lets you look back at old positions; it does not retract moves. This is the case if you are playing against GNU Chess, playing or observing a game on the ICS, or loading a game. If you select Backward in any of these situations, you will not be allowed to make a different move. Use Retract Move or Edit Game if you want to change past moves.

If you are examining a game on the ICS, the behavior of Backward depends on whether WinBoard is in Pause mode. If Pause mode is off, Backward issues the ICS backward command, which backs up everyone's view of the game and allows you to make a different move. If Pause mode is on, Backward only backs up your local view.

Forward

Steps forward through a series of remembered moves (undoing the effect of Backward) or through a game file. The > button is equivalent.

If you are examining a game on the ICS, the behavior of Forward depends on whether WinBoard is in Pause mode. If Pause mode is off, Forward issues the ICS forward command, which moves everyone's view of the game forward along the current line. If Pause mode is on, Forward only moves your local view forward, and it will not go past the position the game was in when you paused.

Back to Start

Jumps backward to the first remembered position in the game. The << button is equivalent.

In most modes, Back to Start only lets you look back at old positions; it does not retract moves. This is the case if you are playing against GNU Chess, playing or observing a game on the ICS, or loading a game. If you select Back to Start in any of these situations, you will not be allowed to make a different move. Use Retract Move or Edit Game if you want to change past moves; or use Reset to start a new game.

If you are examining a game on the ICS, the behavior of Back to Start depends on whether WinBoard is in Pause mode. If Pause mode is off, Backward issues the ICS backward 999999 command, which backs up everyone's view of the game to the start and allows you to make different moves. If Pause mode is on, Back to Start only backs up your local view.

Forward to End

Jumps forward to the last remembered position in the game. The >> button is equivalent.

If you are examining a game on the ICS, the behavior of Forward to End depends on whether WinBoard is in Pause mode. If Pause mode is off, Forward to End issues the ICS forward 999999 command, which moves everyone's view of the game forward to the end of the current line. If Pause mode is on, Forward to End only moves your local view forward, and it will not go past the position the game was in when you paused.

Revert

If you are examining a game on the ICS, issues the ICS command revert.

Truncate Game

Discards all remembered moves of the game beyond the current position. Puts WinBoard into Edit Game mode if it was not there already.

Move Now

Forces GNU Chess to move immediately. (GNU Chess mode only)

Retract Move

Retracts your last move.

In GNU Chess mode, you can do this only after GNU Chess has replied to your move. If GNU Chess is still thinking, use Move Now first.

In ICS mode, Retract Move issues the command takeback 1 or takeback 2, depending on whether it is your opponent's move or yours.


Options Menu

Always Queen

Toggles the alwaysPromoteToQueen option.

Auto Flag

Toggles the autoCallFlag option.

Auto Observe

Toggles the autoObserve option.

Bell

Toggles the ringBellAfterMoves option.

Flip View

Inverts your view of the chess board for the duration of the current game. Starting a new game returns the board to normal.

If you are playing a game on the ICS, the board is always oriented at the start of the game so that your pawns move from the bottom of the window towards the top. Otherwise, the starting position is determined by the flipView command line option.

Local Line Editing

Toggles the localLineEditing option.

Monochrome

Toggles the monoMode option.

Quiet Play

Toggles the quietPlay option.

Show Coords

Toggles the display of algebraic coordinates on the board (showCoords option).

Show Thinking

Toggles the showThinking option.

Communications

Lets you change the communication port parameters when the internetChessServerCommPort option is in use.

Load Game

Lets you change options used while loading games (timeDelay option).

Save Game

Lets you change options used for saving games (autoSaveGames, oldSaveStyle, and saveGameFile options).

Time Control

Lets you change the time control to be used in games with GNU chess. (Resets the timeControl and movesPerSession options.)

Board Size

Lets you change the board size (boardSize option).

Colors

Lets you change the colors WinBoard is using (whitePieceColor, blackPieceColor, lightSquareColor, and darkSquareColor options).

Fonts

Lets you change the fonts WinBoard is using (clockFont, messageFont,and coordFont options).


Help Menu

Hint

Displays a move hint from GNU Chess. GNU Chess mode only.

Book

Displays a list of possible moves from GNU Chess's opening book. The first column gives moves, the second column gives one possible response for each move, and the third column shows the number of lines in the book that include the move from the first column. If you select this option and nothing happens, GNU Chess is out of its book. GNU Chess mode only.

About Game

Displays information about the current game, in the form of PGN (portable game notation) tags.

Help Contents

Brings up this help file, starting at the Contents page.

Search for Help on

Brings up this help file, starting at the Search dialog.

How to Use Help

Brings up the standard help file that explains how to use Windows Help.

About WinBoard

Displays the WinBoard version number.


BUTTONS

<<

Same as Back to Start.

<

Same as Backward.

P

Same as Pause. The button label changes to X while WinBoard is pausing.

>

Same as Forward.

>>

Same as Forward to End.


LIMITATIONS

WinBoard is a Win32 application. It runs with full functionality only on Windows NT and Windows 95. On DOS-based Windows systems such as Windows 3.1, even with the Win32s compatibility package installed, WinBoard works only in ncp mode. It is useful only as a PGN viewer and editor in this mode.

CMail, the companion program to xboard for playing electronic mail correspondence chess, has not been ported to Win32.

If you are connecting to the ICS by running telnet on an Internet provider host, you may find that each line you type is echoed back an extra time after you hit Enter. If your Internet provider is a Unix system, you can probably turn this echo off by typing "stty -echo" to it after you log in, and/or by typing ^E-Enter (control-E followed by the Enter key) to the telnet program after you start it. It is a good idea to do this if you can, because otherwise the extra echo can occasionally get interleaved with output from the ICS and confuse WinBoard's parsing routines. Another way to get rid of the extra echo is to turn off the localLineEditing option. If you do this, your Internet provider will be left to handle all the line editing chores, such as backspace handling and character echoing, so there will be only one echo, but the interleaving problem mentioned above will be worse.

There is no way for two people running copies of WinBoard to play each other without going through the Internet Chess Server.

The game parser recognizes only algebraic notation.

The internal move legality tester does not look at the game history, so in some cases it misses illegal castling or en passant captures. In addition, it permits castling with the king on the d file to accommodate "wild 1" games on ICS. However, if you attempt an illegal move while using gnuchess or the ICS, it will reject the move, and WinBoard will undo it and let you try another. Also, FEN positions saved by WinBoard do not include correct information about whether castling or en passant are legal.

In ICS mode, WinBoard cannot handle observing (and/or playing) more than one game at a time. It may get confused if you try to do this, though it tries to recover gracefully. Select Reset from the File menu if you have problems.

The ICS.ini file does not work properly when you connect to ICS through a Unix gateway host with useTelnet. The Unix login process apparently discards type-ahead.

Some WinBoard functions may not work with versions of GNU Chess earlier than 4.0, patchlevel 73.


Authors
AUTHORS AND CONTRIBUTORS

Tim Mann has been responsible for all versions of WinBoard through 3.2, and for xboard versions 1.3 through 3.2. Chris Sears and Dan Sears wrote the original xboard. They were responsible for xboard versions 1.0 through 1.2.

Elmar Bartel contributed the new piece bitmaps for version 3.2. Evan Welsh wrote CMail. John Chanak contributed the initial implementation of ICS mode. The color scheme and the old 80x80 piece bitmaps (available in the WinBoard distribution in subdirectory "bitmaps.xchess") were taken from Wayne Christopher's XChess program.

Send bug reports to <bug-gnu-chess@prep.ai.mit.edu>. Please run WinBoard with the /debug option and include the output in your message, if possible.


COPYRIGHT

Copyright 1991 by Digital Equipment Corporation, Maynard, Massachusetts.
Enhancements Copyright 1992-94 Free Software Foundation, Inc.

WinBoard's alternative piece bitmaps (bitmaps.xchess) are derived from the bitmaps in the XChess program, which was written and is copyrighted by Wayne Christopher.

The following terms apply to Digital Equipment Corporation's copyright interest in WinBoard:

All Rights Reserved

Permission to use, copy, modify, and distribute this software and its documentation for any purpose and without fee is hereby granted, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation, and that the name of Digital not be used in advertising or publicity pertaining to distribution of the software without specific, written prior permission.

DIGITAL DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT SHALL DIGITAL BE LIABLE FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.

The following terms apply to the enhanced version of WinBoard distributed by the Free Software Foundation:

This file is part of WINBOARD. WINBOARD is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY. No author or distributor accepts responsibility to anyone for the consequences of using it or for whether it serves any particular purpose or works at all, unless he says so in writing. Refer to the WINBOARD General Public License for full details.

Everyone is granted permission to copy, modify and redistribute WINBOARD, but only under the conditions described in the WINBOARD General Public License. A copy of this license is supposed to have been given to you along with WINBOARD so you can know your rights and responsibilities. It should be in a file named COPYING. Among other things, the copyright notice and this notice must be preserved on all copies.